Bug 1303595 - [USS]: if .snaps pre-exist and it contains files, than on enabling uss from nfs should show snaps under .snaps not files
[USS]: if .snaps pre-exist and it contains files, than on enabling uss from n...
Status: CLOSED DEFERRED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: snapshot (Show other bugs)
3.1
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Vijaikumar Mallikarjuna
Anil Shah
USS
: Triaged, ZStream
Depends On: 1159283
Blocks: 1163898 1159302 1160678 1170502 1303593 1303828 1306163
  Show dependency treegraph
 
Reported: 2016-02-01 06:58 EST by Vijaikumar Mallikarjuna
Modified: 2016-09-17 09:02 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1159283
Environment:
Last Closed: 2016-03-23 07:45:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 3 Vijaikumar Mallikarjuna 2016-03-10 05:59:04 EST
Below upstream patch fixes the problem:
master patch: http://review.gluster.org/#/c/9106/
release-3.7 patch: http://review.gluster.org/#/c/13655
Comment 4 Vijaikumar Mallikarjuna 2016-03-23 07:45:19 EDT
This is fixed in 3.8 "http://review.gluster.org/#/c/9106/".
For now we will not be back-porting to 3.1.3, as we may hit issues with ctime change and tar application

Note You need to log in before you can comment on or make changes to this bug.